---
# YAML configuration file
# Add a dictionary for each .repo file where you want to overwrite the defaults.
# The following keys are valid:
#  checksum: checksum type used by createrepo in repomd.xml. Default: sha256
#  pathroot: prefix of destination directory. Default: "mirror"
#  pathcut: cut the sync URL up to this point. What remains will be
#    appended to "$PATHROOT/" to build the destination directory.
#    Default: "//"

defaults:
  schedule: '0 6,18 * * *'
  checksum: 'sha256'
  pathroot: 'mirror'
  pathcut: '//'
  run_reposync: true
  run_customscript: false
  customscript: '/bin/hostname'
  skip_package_count: false

### specific configuration for rhn_check script ###
rhncheck:
  schedule: '0 5 * * *'
  run_reposync: false
  run_customscript: true
  skip_package_count: true
  customscript: 'python3 /root/rhncheck.py'

### specific configuration for zoom script ###
zoom:
  run_reposync: false
  run_customscript: true
  customscript: 'bash /root/zoom.sh'

### nasty hack for rundeck repo sync ###
rundeck-pagerduty.repo:
  run_customscript: true
  customscript: 'mkdir -p /repo/mirror/packages.rundeck.com/pagerduty/rundeck/rpm_any/rpm_any && cd /repo/mirror/packages.rundeck.com/pagerduty/rundeck/rpm_any && ln -s rpm_any/ noarch'

### Repos go here ###

cloudera.repo:
  pathroot: 'mirror/archive.cloudera.com'
  pathcut: 'cdh5/redhat'

ceph-org.repo:
  pathroot: 'mirror/download.ceph.com'
  pathcut: 'cephmirror.cern.ch'

ceph-quincy.repo:
  pathroot: 'mirror/download.ceph.com'
  pathcut: 'cephmirror.cern.ch'

go-repo.io.repo:
  pathcut: '//mirror.'

opendistroforelasticsearch.repo:
  pathroot: 'mirror/opendistroforelasticsearch'
  pathcut: 'd3g5vo6xdbdb9a.cloudfront.net'

redhat-7-els-x86_64.repo:
  pathroot: ''
  run_customscript: true
  customscript: 'bash /root/rhn_update_cert_symlink.sh'

redhat-8-ev-x86_64.repo:
  pathroot: ''
  run_customscript: true
  customscript: 'bash /root/rhn_update_cert_symlink.sh'

redhat-8-jb-eap-x86_64.repo:
  pathroot: ''
  run_customscript: true
  customscript: 'bash /root/rhn_update_cert_symlink.sh'

redhat-8-x86_64.repo:
  pathroot: ''
  run_customscript: true
  customscript: 'bash /root/rhn_update_cert_symlink.sh'

redhat-8-aarch64.repo:
  pathroot: ''
  run_customscript: true
  customscript: 'bash /root/rhn_update_cert_symlink.sh'

redhat-8-ppc64le.repo:
  pathroot: ''
  run_customscript: true
  customscript: 'bash /root/rhn_update_cert_symlink.sh'

redhat-9-x86_64.repo:
  pathroot: ''
  run_customscript: true
  customscript: 'bash /root/rhn_update_cert_symlink.sh'

redhat-9-aarch64.repo:
  pathroot: ''
  run_customscript: true
  customscript: 'bash /root/rhn_update_cert_symlink.sh'

redhat-9-ppc64le.repo:
  pathroot: ''
  run_customscript: true
  customscript: 'bash /root/rhn_update_cert_symlink.sh'

redhat-ubi-7-x86_64.repo:
  pathroot: ''

redhat-ubi-8-x86_64.repo:
  pathroot: ''

redhat-ubi-9-x86_64.repo:
  pathroot: ''

ni-linux-desktop-stream-jammy.repo:
  run_reposync: false
  run_customscript: true
  pathroot: 'mirror/download.ni.com/ni-linux-desktop/stream/deb/ni/jammy'
  customscript: 'bash /root/debmirror.sh'
ni-linux-desktop-2023-q1-jammy.repo:
  run_reposync: false
  run_customscript: true
  pathroot: 'mirror/download.ni.com/ni-linux-desktop/2023/Q1/deb/ni/jammy'
  customscript: 'bash /root/debmirror.sh'
ni-linux-desktop-2023-q2-jammy.repo:
  run_reposync: false
  run_customscript: true
  pathroot: 'mirror/download.ni.com/ni-linux-desktop/2023/Q2/deb/ni/jammy'
  customscript: 'bash /root/debmirror.sh'
ni-linux-desktop-2023-q3-jammy.repo:
  run_reposync: false
  run_customscript: true
  pathroot: 'mirror/download.ni.com/ni-linux-desktop/2023/Q3/deb/ni/jammy'
  customscript: 'bash /root/debmirror.sh'
ni-linux-desktop-2023-q4-jammy.repo:
  run_reposync: false
  run_customscript: true
  pathroot: 'mirror/download.ni.com/ni-linux-desktop/2023/Q4/deb/ni/jammy'
  customscript: 'bash /root/debmirror.sh'
ni-linux-desktop-2024-q1-jammy.repo:
  run_reposync: false
  run_customscript: true
  pathroot: 'mirror/download.ni.com/ni-linux-desktop/2024/Q1/deb/ni/jammy'
  customscript: 'bash /root/debmirror.sh'
ni-linux-desktop-2024-q4-jammy.repo:
  run_reposync: false
  run_customscript: true
  pathroot: 'mirror/download.ni.com/ni-linux-desktop/2024/Q4/deb/ni/jammy'
  customscript: 'bash /root/debmirror.sh'


elbe.repo:
  run_reposync: false
  run_customscript: true
  pathroot: 'mirror/debian.linutronix.de/elbe/'
  customscript: 'bash /root/debmirror.sh'

tms.repo:
  run_reposync: false
  run_customscript: true
  pathroot: 'mirror/portal.beam.ltd.uk/dist/cern/tms/debian_12/'
  customscript: 'bash /root/debmirror.sh'
